Subject: Re: bug#19543: 24.4; vc-mode: 'Fileset is up-to-date' even when vc-diff showed differences

From: Dmitry Gutov <[email-masked]>
Date: Sat, 16 May 2015 17:41:36 +0300

On 01/09/2015 12:24 PM, Ed Avis wrote:

> Now do C-x v = to show differences.  There are some changes to check in.
> Yet when using C-x v v, Emacs reports 'Fileset is up-to-date',
> despite the fact that a moment ago vc-diff showed it wasn't.

You should try M-x global-auto-revert-mode.

> If the last vc-diff operation on a file showed changes, then
> vc-next-action should revert the buffer contents to what is currently on
> disk.

I guess vc-diff could update the status of the file (or files) if the 
current value is obviously wrong, but that still makes for brittle 
workflow: there's no guarantee that the user will case vc-diff before 
vc-next-action.